Redeem a gift

Use this endpoint to redeem a gift. A gift can be redeemed after a successful verification with Verify a gift (GET /gifts/verification/{code}) endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response description

ParameterTypeDescription
messagestringStatus confirmation, "OK" on success
outcomeobjectThe redemption option that was actually applied
outcome.modestringNEW, EXTEND, or SWITCH
outcome.subscriptionIdintegerSubscription the gift was applied to
outcome.offerIdstringOffer now active on the subscription
outcome.previousOfferIdstringOffer that was active before redemption, if any
outcome.giftedOfferIdstringOffer the gift grants
outcome.sideEffects[]array of stringAdditional effects of this redemption, e.g. RESUMES_SUBSCRIPTION, CANCELS_SCHEDULED_SWITCH
outcome.preview.endDateinteger (Unix timestamp)Resulting subscription end date
outcome.preview.timeAdded.daysintegerDays added to the subscription
outcome.preview.carriedOver.daysintegerDays carried over from the current cycle, if applicable
outcome.preview.renewalobjectResulting renewal offer/billing cycle, if applicable
Path Params
string
required

A gift code. Min length: 9, max length: 9. Example: 1A2B-3C4D.

Body Params
string

Selects which redemption option to apply, when more than one is available (see redeemOptions on Verify a Gift. One of NEW, EXTEND, SWITCH.

(only meaningful when a gift has multiple redemption options)

integer

Required alongside mode when mode is EXTEND or SWITCH - identifies which existing subscription the gift should apply to. Must be a positive integer.

(only meaningful when a gift has multiple redemption options)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json